%h1= @task.title

.page__actions
  = link_to t('generic.back'), tasks_path, class: 'button'
  - if authored? @task
    = link_to t('generic.edit'), edit_task_path(@task), class: 'button'

%noscript
  .alert.alert--alert= t('.js_required')

- graph_data = @task.full_graph
- if graph_data[:siblings]
  %pre.mermaid#mermaid-source
    :preserve
      graph LR

    - graph_data[:siblings].each do |sibling|
      :preserve
        T#{sibling.id}#{sibling.id == @task.id ? "(#{sibling.title})" : "[#{sibling.title}]"}
        click T#{sibling.id} "#{url_for sibling}"

    - graph_data[:orders].each do |order|
      :preserve
        T#{order.ancestor_id} --> T#{order.child_id}

    :preserve

      plus_ancestor((+))
      plus_child((+))

      click plus_ancestor "#{new_task_url params: { child_id: @task.id }}"
      click plus_child "#{new_task_url params: { ancestor_id: @task.id }}"

      plus_ancestor -.-> T#{@task.id}
      T#{@task.id} -.-> plus_child

      class T#{@task.id} current
      class plus_ancestor add-node
      class plus_child add-node

  .mermaid__graph#mermaid-target

%p
  %b Title:
  = @task.title
%p
  %b User:
  = @task.user.username
%p
  %b Description:
  = @task.description

= javascript_pack_tag :mermaid
:javascript
  renderMermaidGraph('mermaid-source', 'mermaid-target')
